<?php

namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\DF\Services\Ger82000CodigoTributacaoMunicipioService;


class Ger82000CodigoTributacaoMunicipioController extends \Teknisa\DF\Controllers\TeknisaCrud {
	protected $dataSourceName;
    protected $service;
     
    public function __construct($crudService, ParameterBag $parameterBag, $service) {
        $this->service = $service;
        parent::__construct($crudService, $parameterBag);
    }
    
    public function cadastroAutomaticoCodTribMuni(DTO\Request $request, DTO\Response $response) {

        try{
            $this->dataSourceName = 'produto';
            $row = $request->getRow();

            $this->service->cadastroAutomaticoCodTribMuni($row);
        }
        catch(\Exception $e) {
            throw $e;
        }
    }
    
}